aboutsummaryrefslogtreecommitdiff
path: root/core/ca-certificates/files
diff options
context:
space:
mode:
Diffstat (limited to 'core/ca-certificates/files')
-rwxr-xr-xcore/ca-certificates/files/cert.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/core/ca-certificates/files/cert.sh b/core/ca-certificates/files/cert.sh
new file mode 100755
index 00000000..5ac6a223
--- /dev/null
+++ b/core/ca-certificates/files/cert.sh
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w "$KISS_ROOT/etc/certificates" ] || {
+ printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
+ exit 1
+}
+
+wget https://curl.haxx.se/ca/cacert.pem -O "$KISS_ROOT/etc/certificates/cert.pem"
+printf '%s\n' "${0##*/}: updated cert.pem"